[rpclibrary](../globals.md) › ["Utils"](_utils_.md)

# External module: "Utils"

## Index

### Functions

* [extractArgs](_utils_.md#const-extractargs)
* [hookGenerator](_utils_.md#const-hookgenerator)
* [makeSubResponse](_utils_.md#makesubresponse)
* [rpcHooker](_utils_.md#rpchooker)
* [rpcToRpcinfo](_utils_.md#const-rpctorpcinfo)

## Functions

### `Const` extractArgs

▸ **extractArgs**(`f`: Function): *T.Arg[]*

Defined in Utils.ts:91

**Parameters:**

Name | Type |
------ | ------ |
`f` | Function |

**Returns:** *T.Arg[]*

___

### `Const` hookGenerator

▸ **hookGenerator**(`rpc`: T.HookRPC‹any›): *function*

Defined in Utils.ts:70

**Parameters:**

Name | Type |
------ | ------ |
`rpc` | T.HookRPC‹any› |

**Returns:** *function*

▸ (`socket?`: I.Socket): *[HookFunction](_types_.md#hookfunction)‹T›*

**Parameters:**

Name | Type |
------ | ------ |
`socket?` | I.Socket |

___

###  makeSubResponse

▸ **makeSubResponse**(`uuid?`: undefined | string): *[SubscriptionResponse](_types_.md#subscriptionresponse)*

Defined in Utils.ts:96

**Parameters:**

Name | Type |
------ | ------ |
`uuid?` | undefined &#124; string |

**Returns:** *[SubscriptionResponse](_types_.md#subscriptionresponse)*

___

###  rpcHooker

▸ **rpcHooker**<**SubResT**>(`socket`: [Socket](../interfaces/_interfaces_.socket.md), `exporter`: [Exporter](../interfaces/_interfaces_.exporter.md)‹SubResT›, `makeUnique`: boolean): *T.ExtendedRpcInfo[]*

Defined in Utils.ts:48

**Type parameters:**

▪ **SubResT**

**Parameters:**

Name | Type | Default |
------ | ------ | ------ |
`socket` | [Socket](../interfaces/_interfaces_.socket.md) | - |
`exporter` | [Exporter](../interfaces/_interfaces_.exporter.md)‹SubResT› | - |
`makeUnique` | boolean | true |

**Returns:** *T.ExtendedRpcInfo[]*

___

### `Const` rpcToRpcinfo

▸ **rpcToRpcinfo**<**SubResT**>(`rpc`: T.RPC‹SubResT›, `owner`: T.Owner): *T.RpcInfo*

Defined in Utils.ts:8

**Type parameters:**

▪ **SubResT**

**Parameters:**

Name | Type |
------ | ------ |
`rpc` | T.RPC‹SubResT› |
`owner` | T.Owner |

**Returns:** *T.RpcInfo*
